GET /interaction/v1/interactions/publishStatus/{statusId}

Checks the status of a publication.

URL Parameters 

NameTypeDescription
statusIdstringRequired. The statusId provided by a successful POST request to schedule for a specific version of a journey.

Usage 

This request retrieves the publishing status for the specified statusId provided while making a publishAsync request.

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /interaction/v1/interactions/publishStatus/{statusId}
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Journey Builder returns one of these statuses.

  • PublishInProcess
  • PublishCompleted
  • Error
1HTTP/1.1 200
2{
3    "statusId": "bd93502a-773c-4588-81d9-d3c7ca0cc10a",
4    "status": "PublishInProcess",
5    "errors": []
6}

If any errors are encountered during the publishing process, they’re listed as elements in the errors array.

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!